Bug 1583207 - SATA LPM disabled on Lenovo T450
SATA LPM disabled on Lenovo T450
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
28
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-28 09:08 EDT by Lorenzo Dalrio
Modified: 2018-06-12 11:20 EDT (History)
17 users (show)

See Also:
Fixed In Version: kernel-4.16.14-300.fc28 kernel-4.16.14-200.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-08 09:12:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] libata: Drop SanDisk SD7UB3Q*G1001 NOLPM quirk (2.20 KB, patch)
2018-05-31 07:17 EDT, Hans de Goede
no flags Details | Diff
[PATCH] libata: Drop SanDisk SD7UB3Q*G1001 NOLPM quirk v2 (2.24 KB, patch)
2018-05-31 07:22 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Lorenzo Dalrio 2018-05-28 09:08:59 EDT
Description of problem:
After Fedora 28 release my battery improved a lot in terms of duration.
Now i noticed that it lasts quite less, in dmesg there is this message:

ata1.00: LPM support broken, forcing max_power

I never had problems with the new policy and i would like to have it back.
Hans told me that is working on a patch to submit upstream to restrict the blacklist only for outdated ssd firmware.
I am opening this one to ask this patch being included on current fedora kernel once it is available.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Hans de Goede 2018-05-31 07:17 EDT
Created attachment 1446225 [details]
[PATCH] libata: Drop SanDisk SD7UB3Q*G1001 NOLPM quirk

Here is a patch which I just submitted upstream fixing this.

Fedora kernel team, Lorenzo is using project atomic, so he cannot just boot an older kernel, can we get this patch added as a downstream patch for now?
Comment 2 Hans de Goede 2018-05-31 07:22 EDT
Created attachment 1446226 [details]
[PATCH] libata: Drop SanDisk SD7UB3Q*G1001 NOLPM quirk v2

Here is a v2 which will actually apply cleanly on top of 4.17-rc7
Comment 3 Jeremy Cline 2018-06-04 13:44:45 EDT
I've added it for the next stable builds (v4.16.14) which *should* arrive in the updates repository before the next atomic build.
Comment 4 Fedora Update System 2018-06-05 21:47:57 EDT
kernel-4.16.14-200.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-52ce898844
Comment 5 Fedora Update System 2018-06-05 21:48:19 EDT
kernel-4.16.14-300.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-366207cd19
Comment 6 Fedora Update System 2018-06-06 09:45:34 EDT
kernel-4.16.14-200.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-52ce898844
Comment 7 Fedora Update System 2018-06-06 11:02:21 EDT
kernel-4.16.14-300.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-366207cd19
Comment 8 Fedora Update System 2018-06-08 09:12:52 EDT
kernel-4.16.14-300.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2018-06-12 11:20:11 EDT
kernel-4.16.14-200.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.